
# line 26 "awkgram.y"
#include <stdio.h>
#include <string.h>
#include "awk.h"

void checkdup(Node *list, Cell *item);
int yywrap(void) { return(1); }

Node	*beginloc = 0;
Node	*endloc = 0;
int	infunc	= 0;	/* = 1 if in arglist or body of func */
int	inloop	= 0;	/* = 1 if in while, for, do */
char	*curfname = 0;	/* current function name */
Node	*arglist = 0;	/* list of args for current function */

# line 41 "awkgram.y"
typedef union
#ifdef __cplusplus
	YYSTYPE
#endif
 {
	Node	*p;
	Cell	*cp;
	int	i;
	char	*s;
} YYSTYPE;
# define FIRSTTOKEN 257
# define PROGRAM 258
# define PASTAT 259
# define PASTAT2 260
# define XBEGIN 261
# define XEND 262
# define NL 263
# define ARRAY 264
# define MATCH 265
# define NOTMATCH 266
# define MATCHOP 267
# define FINAL 268
# define DOT 269
# define ALL 270
# define CCL 271
# define NCCL 272
# define CHAR 273
# define OR 274
# define STAR 275
# define QUEST 276
# define PLUS 277
# define AND 278
# define BOR 279
# define APPEND 280
# define EQ 281
# define GE 282
# define GT 283
# define LE 284
# define LT 285
# define NE 286
# define IN 287
# define ARG 288
# define BLTIN 289
# define BREAK 290
# define CLOSE 291
# define CONTINUE 292
# define DELETE 293
# define DO 294
# define EXIT 295
# define FOR 296
# define FUNC 297
# define SUB 298
# define GSUB 299
# define IF 300
# define INDEX 301
# define LSUBSTR 302
# define MATCHFCN 303
# define NEXT 304
# define NEXTFILE 305
# define ADD 306
# define MINUS 307
# define MULT 308
# define DIVIDE 309
# define MOD 310
# define ASSIGN 311
# define ASGNOP 312
# define ADDEQ 313
# define SUBEQ 314
# define MULTEQ 315
# define DIVEQ 316
# define MODEQ 317
# define POWEQ 318
# define PRINT 319
# define PRINTF 320
# define SPRINTF 321
# define ELSE 322
# define INTEST 323
# define CONDEXPR 324
# define POSTINCR 325
# define PREINCR 326
# define POSTDECR 327
# define PREDECR 328
# define VAR 329
# define IVAR 330
# define VARNF 331
# define CALL 332
# define NUMBER 333
# define STRING 334
# define REGEXPR 335
# define GETLINE 336
# define RETURN 337
# define SPLIT 338
# define SUBSTR 339
# define WHILE 340
# define CAT 341
# define NOT 342
# define UMINUS 343
# define POWER 344
# define DECR 345
# define INCR 346
# define INDIRECT 347
# define LASTTOKEN 348

#include <inttypes.h>

#ifdef __STDC__
#include <stdlib.h>
#include <string.h>
#define	YYCONST	const
#else
#include <malloc.h>
#include <memory.h>
#define	YYCONST
#endif

#include <values.h>

#if defined(__cplusplus) || defined(__STDC__)

#if defined(__cplusplus) && defined(__EXTERN_C__)
extern "C" {
#endif
#ifndef yyerror
#if defined(__cplusplus)
	void yyerror(YYCONST char *);
#endif
#endif
#ifndef yylex
	int yylex(void);
#endif
	int yyparse(void);
#if defined(__cplusplus) && defined(__EXTERN_C__)
}
#endif

#endif

#define yyclearin yychar = -1
#define yyerrok yyerrflag = 0
extern int yychar;
extern int yyerrflag;
YYSTYPE yylval;
YYSTYPE yyval;
typedef int yytabelem;
#ifndef YYMAXDEPTH
#define YYMAXDEPTH 150
#endif
#if YYMAXDEPTH > 0
int yy_yys[YYMAXDEPTH], *yys = yy_yys;
YYSTYPE yy_yyv[YYMAXDEPTH], *yyv = yy_yyv;
#else	/* user does initial allocation */
int *yys;
YYSTYPE *yyv;
#endif
static int yymaxdepth = YYMAXDEPTH;
# define YYERRCODE 256

# line 445 "awkgram.y"


void setfname(Cell *p)
{
	if (isarr(p))
		SYNTAX("%s is an array, not a function", p->nval);
	else if (isfcn(p))
		SYNTAX("you can't define function %s more than once", p->nval);
	curfname = p->nval;
}

int constnode(Node *p)
{
	return isvalue(p) && ((Cell *) (p->narg[0]))->csub == CCON;
}

char *strnode(Node *p)
{
	return ((Cell *)(p->narg[0]))->sval;
}

Node *notnull(Node *n)
{
	switch (n->nobj) {
	case LE: case LT: case EQ: case NE: case GT: case GE:
	case BOR: case AND: case NOT:
		return n;
	default:
		return op2(NE, n, nullnode);
	}
}

void checkdup(Node *vl, Cell *cp)	/* check if name already in list */
{
	char *s = cp->nval;
	for ( ; vl; vl = vl->nnext) {
		if (strcmp(s, ((Cell *)(vl->narg[0]))->nval) == 0) {
			SYNTAX("duplicate argument %s", s);
			break;
		}
	}
}
static YYCONST yytabelem yyexca[] ={
-1, 0,
	0, 28,
	261, 28,
	262, 28,
	123, 28,
	40, 28,
	47, 28,
	288, 28,
	289, 28,
	291, 28,
	297, 28,
	298, 28,
	299, 28,
	301, 28,
	303, 28,
	321, 28,
	329, 28,
	330, 28,
	331, 28,
	332, 28,
	333, 28,
	334, 28,
	336, 28,
	338, 28,
	339, 28,
	43, 28,
	45, 28,
	342, 28,
	345, 28,
	346, 28,
	347, 28,
	-2, 0,
-1, 1,
	0, -1,
	-2, 0,
-1, 157,
	59, 30,
	-2, 0,
-1, 176,
	124, 0,
	267, 0,
	281, 0,
	282, 0,
	283, 0,
	284, 0,
	285, 0,
	286, 0,
	287, 0,
	-2, 63,
-1, 177,
	124, 0,
	267, 0,
	281, 0,
	282, 0,
	283, 0,
	284, 0,
	285, 0,
	286, 0,
	287, 0,
	-2, 64,
-1, 178,
	124, 0,
	267, 0,
	281, 0,
	282, 0,
	283, 0,
	284, 0,
	285, 0,
	286, 0,
	287, 0,
	-2, 65,
-1, 179,
	124, 0,
	267, 0,
	281, 0,
	282, 0,
	283, 0,
	284, 0,
	285, 0,
	286, 0,
	287, 0,
	-2, 66,
-1, 180,
	124, 0,
	267, 0,
	281, 0,
	282, 0,
	283, 0,
	284, 0,
	285, 0,
	286, 0,
	287, 0,
	-2, 67,
-1, 181,
	124, 0,
	267, 0,
	281, 0,
	282, 0,
	283, 0,
	284, 0,
	285, 0,
	286, 0,
	287, 0,
	-2, 68,
-1, 183,
	124, 0,
	267, 0,
	281, 0,
	282, 0,
	283, 0,
	284, 0,
	285, 0,
	286, 0,
	287, 0,
	-2, 70,
-1, 289,
	267, 0,
	287, 0,
	-2, 53,
-1, 333,
	41, 30,
	-2, 0,
-1, 355,
	41, 30,
	-2, 0,
	};
# define YYNPROD 185
# define YYLAST 4559
static YYCONST yytabelem yyact[]={

    17,   277,   138,   125,   253,   112,    43,   111,   243,    66,
   102,   308,   110,   228,   185,    43,   100,   107,   103,   104,
   139,   215,   249,   223,   100,   155,   100,   100,   100,    43,
   111,   100,   122,   123,   124,   110,   108,    43,   109,   253,
   107,   103,   104,   103,   104,   314,   252,    42,    22,    44,
    82,   206,   253,    83,    54,   113,    42,    22,    44,   140,
   142,    24,   146,     7,   232,    23,   149,   150,   152,   153,
    42,    22,    44,   163,    23,   100,   310,    43,    42,   312,
    44,     7,    62,   105,   141,    49,   274,    11,    23,   156,
   218,   143,    16,    51,    85,    79,    80,   244,   190,   113,
   100,   190,   275,    10,    52,   318,   134,   100,   100,   100,
   100,   100,   100,   100,     9,   269,    86,   148,    42,   335,
    44,   324,   190,   190,   190,   278,   100,   284,   190,   265,
   190,   278,   190,    11,   168,   169,   260,   259,   188,   190,
   190,   190,   352,   351,   200,   350,   100,   316,   221,   321,
   258,   320,   100,   331,   226,   182,   135,   170,   167,   158,
   157,   156,   131,   100,   130,   133,   219,   230,   129,   128,
   127,   162,   100,   126,   100,   120,   100,   100,   100,   100,
   100,   100,   100,    16,   100,   119,   251,   100,   100,     4,
   154,   271,   212,   144,   100,   132,   317,   347,    50,   361,
   364,     1,   100,    72,    40,   224,     5,   100,    58,   100,
   100,   100,    67,   222,   100,   100,    61,    60,   217,   248,
   233,    81,    19,   234,     8,   159,   160,     2,     0,     0,
     0,     0,   100,   100,   100,   100,   163,    21,   163,   163,
   163,   163,    20,     0,   163,   236,   100,   293,   115,     0,
   294,   276,     0,     0,     0,   100,   100,   238,    96,     0,
     3,     0,     0,   141,   203,   205,   114,     6,   116,   117,
   118,     0,   270,   121,   211,     0,     0,     0,     0,   239,
   141,     0,     0,   100,     0,     6,   100,   100,   100,    48,
   100,     0,   100,     0,     0,   164,   156,   100,     0,   100,
   100,   309,   288,   100,     0,   100,   100,   100,     0,     0,
     0,   166,     0,   334,   112,   165,   163,    96,     0,     0,
     0,     0,     0,     0,   300,   301,     0,   341,     0,   342,
     0,   156,   184,   100,     0,     0,   333,   112,   100,     0,
   100,     0,   116,   230,   100,   100,     0,   346,   356,    96,
   194,   195,   196,   197,   198,   199,    18,   359,     0,    27,
     0,    26,   362,    45,     0,   230,   156,   313,   207,   360,
     0,   355,     0,     0,     0,    68,     0,   238,     0,     0,
   238,   238,   238,     0,   238,   340,   238,     0,    96,   292,
     0,     0,     0,   348,    96,   229,     0,     0,     0,   239,
   338,     0,   239,   239,   239,   242,   239,   282,   239,   285,
   286,   287,   289,     0,    96,   291,    96,     0,    96,    96,
    96,    96,    96,    96,    96,     0,    96,     0,    18,    96,
    96,    27,   238,    26,     0,    45,   256,     0,     0,    16,
     0,   358,     0,     0,    96,     0,     0,    68,     0,   261,
     0,    96,    96,    96,   239,     0,    96,    96,   164,     0,
   164,   164,   164,   164,     0,     0,   164,     0,     0,     0,
     0,     0,     0,     0,    96,   279,   280,   281,   165,   290,
   165,   165,   165,   165,     0,     0,   165,   337,    96,     0,
   297,     0,     0,     0,     0,     0,    18,    96,    96,    27,
     0,    26,   303,    45,     0,     0,     0,     0,     0,     0,
     0,    16,     0,     0,   311,    68,     0,     0,     0,     0,
     0,     0,     0,     0,     0,   242,     0,     0,   242,   242,
   242,     0,   242,     0,   242,     0,     0,     0,   164,    96,
     0,    96,    96,     0,     0,    96,     0,    96,    96,    96,
     0,     0,   336,     0,     0,     0,     0,    18,   165,     0,
    27,     0,    26,     0,    45,     0,     0,     0,     0,     0,
     0,     0,    75,     0,     0,    96,    68,     0,     0,    16,
   242,   307,    96,     0,     0,     0,    96,    96,     0,     0,
     0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     0,     0,     0,     0,    43,    28,    56,    30,    57,    73,
    69,    59,    70,     0,    46,    47,    71,    34,     0,    35,
    63,    64,     0,     0,     0,     0,    18,   204,     0,    27,
     0,    26,     0,    45,     0,    77,    78,    38,     0,     0,
    16,     0,     0,     0,    75,    42,    22,    44,    29,    36,
    39,    53,    33,    65,    37,    41,    76,     0,    25,     0,
     0,    31,    32,    23,     0,     0,     0,     0,     0,     0,
     0,     0,     0,     0,     0,     0,    43,    28,    56,    30,
    57,    73,    69,    59,    70,     0,    46,    47,    71,    34,
     0,    35,    63,    64,     0,     0,    18,     0,     0,    27,
     0,    26,     0,    45,     0,     0,     0,    77,    78,    38,
     0,     0,    75,     0,     0,    68,     0,    42,    22,    44,
    29,    36,    39,     0,    33,    65,    37,    41,    76,     0,
    25,     0,     0,    31,    32,    23,     0,     0,     0,     0,
     0,     0,     0,     0,    43,    28,    56,    30,    57,    73,
    69,    59,    70,     0,    46,    47,    71,    34,     0,    35,
    63,    64,     0,     0,     0,     0,     0,     0,     0,     0,
     0,     0,     0,    75,     0,    77,    78,    38,     0,    16,
   272,   247,     0,     0,     0,    42,    22,    44,    29,    36,
    39,     0,    33,    65,    37,    41,    76,     0,    25,     0,
     0,    31,    32,    23,     0,    43,    28,    56,    30,    57,
    73,    69,    59,    70,     0,    46,    47,    71,    34,     0,
    35,    63,    64,    18,     0,     0,    27,     0,    26,     0,
    45,     0,     0,     0,     0,     0,    77,    78,    38,     0,
     0,     0,    68,     0,     0,     0,    42,    22,    44,    29,
    36,    39,     0,    33,    65,    37,    41,    76,     0,    25,
     0,     0,    31,    32,    23,     0,     0,     0,     0,     0,
     0,     0,     0,     0,    43,    28,     0,    30,     0,     0,
     0,     0,     0,    18,    46,    47,    27,    34,    26,    35,
    45,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     0,     0,    68,     0,     0,     0,    16,    38,   246,     0,
     0,     0,    75,     0,     0,    42,    22,    44,    29,    36,
    39,     0,    33,     0,    37,    41,     0,     0,    25,     0,
     0,    31,    32,    23,     0,     0,     0,     0,     0,     0,
     0,     0,     0,     0,    43,    28,    56,    30,    57,    73,
    69,    59,    70,     0,    46,    47,    71,    34,     0,    35,
    63,    64,    18,     0,     0,    27,    16,    26,   225,    45,
     0,     0,     0,     0,     0,    77,    78,    38,     0,     0,
     0,    68,     0,     0,     0,    42,    22,    44,    29,    36,
    39,     0,    33,    65,    37,    41,    76,     0,    25,     0,
     0,    31,    32,    23,     0,     0,     0,     0,     0,     0,
     0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     0,     0,    18,     0,     0,    27,     0,    26,     0,    45,
     0,     0,     0,     0,     0,     0,     0,     0,     0,    75,
     0,    68,     0,     0,     0,    16,     0,   216,     0,     0,
     0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     0,    43,    28,    56,    30,    57,    73,    69,    59,    70,
     0,    46,    47,    71,    34,     0,    35,    63,    64,     0,
     0,     0,     0,     0,     0,     0,     0,     0,     0,    75,
     0,     0,    77,    78,    38,    16,     0,   136,     0,     0,
     0,     0,    42,    22,    44,    29,    36,    39,     0,    33,
    65,    37,    41,    76,     0,    25,     0,     0,    31,    32,
    23,    43,    28,    56,    30,    57,    73,    69,    59,    70,
     0,    46,    47,    71,    34,     0,    35,    63,    64,    18,
     0,     0,    27,     0,    26,     0,    45,     0,     0,     0,
     0,     0,    77,    78,    38,     0,     0,     0,    68,     0,
     0,     0,    42,    22,    44,    29,    36,    39,    75,    33,
    65,    37,    41,    76,     0,    25,     0,     0,    31,    32,
    23,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    43,    28,    56,    30,    57,    73,    69,    59,    70,     0,
    46,    47,    71,    34,     0,    35,    63,    64,     0,     0,
     0,     0,    16,     0,     0,     0,     0,     0,    75,     0,
     0,    77,    78,    38,     0,     0,     0,     0,     0,     0,
     0,    42,    22,    44,    29,    36,    39,     0,    33,    65,
    37,    41,    76,     0,    25,     0,     0,    31,    32,    23,
    43,    28,    56,    30,    57,    73,    69,    59,    70,     0,
    46,    47,    71,    34,     0,    35,    63,    64,     0,     0,
     0,     0,     0,     0,   101,   330,     0,    27,   190,    26,
     0,    77,    78,    38,     0,     0,     0,     0,     0,     0,
     0,    42,    22,    44,    29,    36,    39,    84,    33,    65,
    37,    41,    76,     0,    25,     0,     0,    31,    32,    23,
     0,    55,     0,     0,     0,     0,     0,     0,     0,     0,
     0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     0,     0,     0,     0,     0,    75,     0,     0,   101,   327,
     0,    27,   190,    26,     0,     0,     0,     0,    95,     0,
     0,     0,     0,     0,     0,     0,   137,     0,     0,     0,
     0,    84,     0,   147,     0,     0,     0,    43,    28,    56,
    30,    57,    73,    69,    59,    70,     0,    46,    47,    71,
    34,     0,    35,    63,    64,     0,     0,     0,     0,     0,
     0,     0,     0,     0,     0,     0,     0,     0,    77,    78,
    38,     0,     0,     0,     0,     0,     0,     0,    42,    22,
    44,    29,    36,    39,     0,    33,    65,    37,    41,    76,
     0,    25,    95,     0,    31,    32,    23,     0,     0,     0,
   101,   325,     0,    27,   190,    26,   137,     0,     0,     0,
     0,     0,     0,     0,     0,     0,   220,     0,     0,     0,
   137,     0,     0,    84,     0,     0,   227,     0,     0,     0,
     0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
   137,   137,     0,     0,     0,     0,     0,     0,     0,     0,
     0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     0,    93,     0,     0,     0,     0,     0,     0,     0,     0,
     0,     0,    98,    97,     0,    87,    88,    89,    90,    91,
    92,    94,    43,    28,    95,    30,   101,     0,     0,    27,
     0,    26,    46,    47,   273,    34,     0,    35,     0,     0,
     0,     0,     0,     0,     0,   140,     0,     0,     0,    84,
     0,     0,     0,     0,     0,    38,     0,     0,     0,     0,
     0,     0,     0,    42,    22,    44,    29,    36,    39,     0,
    33,     0,    37,    41,     0,    93,    99,     0,     0,    31,
    32,    23,   137,     0,     0,     0,    98,    97,     0,    87,
    88,    89,    90,    91,    92,    94,    43,    28,     0,    30,
     0,     0,     0,     0,     0,     0,    46,    47,     0,    34,
    95,    35,   101,   192,     0,    27,   190,    26,     0,     0,
     0,     0,     0,     0,     0,     0,     0,     0,     0,    38,
     0,     0,     0,     0,     0,    84,     0,    42,    22,    44,
    29,    36,    39,     0,    33,     0,    37,    41,     0,     0,
    99,     0,     0,    31,    32,    23,     0,     0,     0,   357,
   137,     0,     0,     0,     0,     0,     0,    93,     0,     0,
     0,     0,     0,   363,     0,     0,   365,     0,    98,    97,
     0,    87,    88,    89,    90,    91,    92,    94,    43,    28,
     0,    30,     0,     0,     0,     0,    95,     0,    46,    47,
     0,    34,     0,    35,   101,   354,     0,    27,     0,    26,
     0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     0,    38,     0,     0,     0,     0,     0,    84,     0,    42,
    22,    44,    29,    36,    39,     0,    33,     0,    37,    41,
     0,     0,    99,     0,     0,    31,    32,    23,     0,   141,
     0,     0,     0,    93,     0,     0,     0,     0,     0,     0,
     0,     0,     0,     0,    98,    97,     0,    87,    88,    89,
    90,    91,    92,    94,    43,    28,     0,    30,   101,   353,
     0,    27,     0,    26,    46,    47,     0,    34,    95,    35,
     0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     0,    84,     0,     0,     0,     0,     0,    38,     0,     0,
     0,     0,     0,     0,     0,    42,    22,    44,    29,    36,
    39,     0,    33,     0,    37,    41,     0,     0,    99,     0,
     0,    31,    32,    23,     0,     0,     0,     0,     0,    93,
     0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    98,    97,     0,    87,    88,    89,    90,    91,    92,    94,
    43,    28,    95,    30,     0,     0,     0,     0,     0,     0,
    46,    47,     0,    34,     0,    35,   101,   349,     0,    27,
     0,    26,     0,     0,     0,     0,     0,     0,     0,     0,
     0,     0,     0,    38,     0,     0,     0,     0,     0,    84,
     0,    42,    22,    44,    29,    36,    39,     0,    33,     0,
    37,    41,     0,     0,    99,     0,     0,    31,    32,    23,
     0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     0,    93,     0,     0,     0,     0,     0,     0,     0,     0,
     0,     0,    98,    97,     0,    87,    88,    89,    90,    91,
    92,    94,    43,    28,     0,    30,     0,     0,     0,     0,
    95,   101,    46,    47,    27,    34,    26,    35,     0,     0,
     0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
   345,     0,     0,     0,    84,    38,     0,     0,     0,     0,
     0,     0,     0,    42,    22,    44,    29,    36,    39,     0,
    33,     0,    37,    41,     0,    93,    99,     0,     0,    31,
    32,    23,     0,     0,     0,     0,    98,    97,     0,    87,
    88,    89,    90,    91,    92,    94,    43,    28,     0,    30,
     0,     0,     0,     0,     0,     0,    46,    47,     0,    34,
     0,    35,     0,     0,     0,    95,     0,     0,     0,     0,
     0,     0,   101,   322,     0,    27,     0,    26,     0,    38,
     0,     0,     0,     0,     0,     0,     0,    42,    22,    44,
    29,    36,    39,     0,    33,    84,    37,    41,     0,     0,
    99,     0,     0,    31,    32,    23,     0,     0,     0,     0,
     0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     0,     0,     0,    93,     0,     0,     0,     0,     0,     0,
     0,     0,     0,     0,    98,    97,     0,    87,    88,    89,
    90,    91,    92,    94,    43,    28,     0,    30,     0,     0,
     0,     0,     0,     0,    46,    47,    95,    34,     0,    35,
     0,   101,   319,     0,    27,     0,    26,     0,     0,     0,
     0,     0,     0,     0,     0,     0,     0,    38,     0,     0,
     0,     0,     0,     0,    84,    42,    22,    44,    29,    36,
    39,     0,    33,     0,    37,    41,     0,     0,    99,     0,
     0,    31,    32,    23,     0,     0,     0,     0,    93,     0,
     0,     0,     0,     0,     0,     0,     0,     0,     0,    98,
    97,     0,    87,    88,    89,    90,    91,    92,    94,    43,
    28,     0,    30,     0,     0,     0,     0,     0,     0,    46,
    47,     0,    34,     0,    35,    95,     0,     0,     0,     0,
     0,     0,     0,   101,   278,     0,    27,     0,    26,     0,
     0,     0,    38,     0,     0,     0,     0,     0,     0,     0,
    42,    22,    44,    29,    36,    39,    84,    33,     0,    37,
    41,     0,     0,    99,     0,     0,    31,    32,    23,     0,
     0,     0,     0,     0,     0,     0,     0,     0,     0,    93,
     0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    98,    97,     0,    87,    88,    89,    90,    91,    92,    94,
    43,    28,     0,    30,     0,     0,     0,     0,     0,     0,
    46,    47,     0,    34,     0,    35,     0,    95,     0,     0,
     0,     0,     0,     0,   101,     0,     0,    27,   190,    26,
     0,     0,     0,    38,     0,     0,     0,     0,     0,     0,
     0,    42,    22,    44,    29,    36,    39,    84,    33,     0,
    37,    41,     0,     0,    99,     0,     0,    31,    32,    23,
     0,     0,     0,     0,     0,     0,     0,     0,    93,     0,
     0,     0,     0,     0,     0,     0,     0,     0,     0,    98,
    97,     0,    87,    88,    89,    90,    91,    92,    94,    43,
    28,     0,    30,     0,     0,     0,     0,     0,     0,    46,
    47,     0,    34,     0,    35,     0,   101,   192,    95,    27,
     0,    26,     0,     0,     0,     0,     0,     0,     0,     0,
     0,     0,    38,     0,     0,     0,     0,     0,     0,    84,
    42,    22,    44,    29,    36,    39,     0,    33,     0,    37,
    41,     0,     0,    99,     0,     0,    31,    32,    23,     0,
     0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    93,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     0,    98,    97,     0,    87,    88,    89,    90,    91,    92,
    94,    43,    28,     0,    30,     0,     0,     0,     0,     0,
    95,    46,    47,     0,    34,   101,    35,     0,    27,     0,
    26,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     0,     0,     0,   250,    38,     0,     0,     0,    84,     0,
     0,     0,    42,    22,    44,    29,    36,    39,     0,    33,
     0,    37,    41,     0,     0,    99,     0,     0,    31,    32,
    23,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     0,    93,     0,     0,     0,     0,     0,     0,     0,     0,
     0,     0,    98,    97,     0,    87,    88,    89,    90,    91,
    92,    94,    43,    28,     0,    30,     0,     0,     0,    95,
     0,     0,    46,    47,     0,    34,   101,    35,     0,    27,
     0,    26,     0,     0,     0,     0,     0,     0,     0,     0,
     0,     0,     0,     0,     0,    38,     0,     0,     0,    84,
     0,     0,     0,    42,    22,    44,    29,    36,    39,     0,
    33,     0,    37,    41,     0,     0,    99,     0,     0,    31,
    32,    23,     0,    93,     0,     0,     0,     0,     0,     0,
     0,     0,     0,     0,    98,    97,     0,    87,    88,    89,
    90,    91,    92,    94,    43,    28,     0,    30,     0,     0,
     0,     0,     0,   101,    46,    47,    27,    34,    26,    35,
    95,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     0,     0,     0,     0,     0,     0,     0,    38,     0,     0,
     0,     0,     0,     0,     0,    42,    22,    44,    29,    36,
    39,     0,    33,     0,    37,    41,     0,     0,    99,     0,
     0,    31,    32,    23,     0,     0,     0,     0,     0,     0,
     0,     0,    93,     0,     0,     0,     0,     0,     0,     0,
     0,     0,     0,    98,    97,     0,    87,    88,    89,    90,
    91,    92,    94,    43,    28,     0,    30,    95,     0,     0,
     0,     0,   101,    46,    47,    27,    34,    26,    35,     0,
     0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     0,     0,     0,     0,     0,     0,    38,     0,     0,     0,
     0,     0,     0,     0,    42,    22,    44,    29,    36,    39,
     0,    33,     0,    37,    41,     0,     0,    99,     0,     0,
    31,    32,    23,     0,     0,     0,     0,     0,     0,     0,
     0,     0,     0,    93,     0,     0,     0,     0,     0,     0,
     0,     0,     0,     0,    98,    97,     0,    87,    88,    89,
    90,    91,    92,    94,    43,    28,    95,    30,   101,     0,
     0,    27,     0,    26,    46,    47,     0,    34,     0,    35,
     0,     0,     0,     0,     0,     0,   315,     0,     0,     0,
     0,   237,     0,     0,     0,     0,     0,    38,     0,     0,
     0,     0,     0,     0,     0,    42,    22,    44,    29,    36,
    39,     0,    33,     0,    37,    41,     0,     0,    99,     0,
    93,    31,    32,    23,     0,     0,     0,     0,     0,     0,
     0,    98,     0,     0,    87,    88,    89,    90,    91,    92,
    94,    43,    28,     0,    30,     0,     0,     0,     0,     0,
     0,    46,    47,     0,    34,     0,    35,     0,     0,     0,
     0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     0,     0,     0,     0,    38,     0,     0,     0,     0,     0,
     0,     0,    42,    22,    44,    29,    36,    39,     0,    33,
     0,    37,    41,     0,     0,    99,     0,     0,    31,    32,
    23,     0,     0,     0,     0,     0,     0,     0,     0,    93,
     0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     0,     0,     0,    87,    88,    89,    90,    91,    92,    94,
    43,    28,     0,    30,     0,     0,     0,     0,     0,    18,
    46,    47,    27,    34,    26,    35,    45,     0,     0,     0,
     0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     0,     0,     0,    38,     0,     0,     0,     0,     0,     0,
     0,    42,    22,    44,    29,    36,    39,     0,    33,     0,
    37,    41,     0,     0,    99,     0,     0,    31,    32,    23,
     0,     0,     0,     0,     0,   240,     0,     0,     0,     0,
     0,     0,     0,    74,     0,     0,    98,    97,    15,     0,
     0,     0,     0,     0,     0,   241,    43,    28,     0,    30,
     0,     0,   106,     0,     0,     0,    46,    47,     0,    34,
     0,    35,     0,     0,     0,     0,     0,     0,     0,     0,
     0,     0,     0,     0,     0,     0,     0,     0,     0,    38,
     0,     0,     0,     0,    15,     0,    15,    42,    22,    44,
    29,    36,    39,   145,    33,     0,    37,    41,     0,   151,
    99,     0,     0,    31,    32,    23,     0,     0,     0,     0,
     0,   101,     0,     0,    27,     0,    26,     0,   171,   173,
   175,   176,   177,   178,   179,   180,   181,   183,     0,     0,
     0,     0,     0,     0,   237,   186,   187,     0,     0,     0,
     0,     0,     0,     0,     0,     0,     0,   201,     0,     0,
     0,     0,     0,   201,   201,     0,     0,     0,     0,     0,
   208,   209,   210,   201,   213,   214,     0,     0,     0,     0,
     0,     0,    18,     0,     0,    27,     0,    26,     0,    45,
     0,     0,     0,     0,     0,    75,     0,     0,     0,     0,
     0,     0,   231,     0,     0,   106,     0,     0,     0,     0,
     0,   245,     0,     0,     0,     0,     0,     0,     0,     0,
     0,     0,     0,     0,     0,     0,     0,    43,    28,     0,
    30,     0,    73,   254,     0,   255,     0,    46,    47,     0,
    34,     0,    35,     0,     0,     0,     0,     0,     0,     0,
     0,     0,   101,     0,     0,    27,     0,    26,    77,    78,
    38,     0,     0,     0,     0,    16,     0,     0,    42,    22,
    44,    29,    36,    39,     0,    33,     0,    37,    41,     0,
     0,    25,     0,   257,    31,    32,    23,     0,   201,     0,
     0,     0,     0,     0,   296,     0,     0,     0,     0,     0,
     0,   298,     0,     0,     0,     0,   299,   302,     0,     0,
   304,   305,   306,    18,     0,     0,    27,     0,    26,     0,
    45,     0,     0,     0,     0,     0,     0,   106,     0,     0,
     0,     0,   140,     0,     0,     0,     0,     0,     0,     0,
     0,     0,     0,     0,     0,     0,     0,     0,   240,     0,
     0,     0,     0,   332,     0,     0,     0,     0,     0,    98,
    97,     0,     0,     0,     0,     0,     0,   339,   241,    43,
    28,     0,    30,   343,     0,   344,     0,     0,    18,    46,
    47,    27,    34,    26,    35,    45,     0,     0,     0,   189,
   191,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     0,     0,    38,    12,    13,     0,     0,     0,     0,     0,
    42,    22,    44,    29,    36,    39,     0,    33,     0,    37,
    41,     0,     0,    99,     0,     0,    31,    32,    23,     0,
    43,    28,     0,    30,     0,     0,     0,     0,     0,    14,
    46,    47,     0,    34,   235,    35,   101,     0,     0,    27,
     0,    26,     0,     0,     0,     0,     0,     0,     0,     0,
     0,     0,     0,    38,     0,     0,     0,     0,     0,     0,
     0,    42,    22,    44,    29,    36,    39,     0,    33,   240,
    37,    41,     0,     0,    25,     0,     0,    31,    32,    23,
    98,     0,   262,   263,   264,     0,   266,   267,   268,   241,
    43,    28,     0,    30,     0,     0,     0,     0,     0,   283,
    46,    47,    27,    34,    26,    35,    45,     0,     0,     0,
   189,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     0,     0,   295,    38,     0,     0,   141,     0,     0,     0,
     0,    42,    22,    44,    29,    36,    39,     0,    33,     0,
    37,    41,     0,     0,    99,     0,     0,    31,    32,    23,
     0,    43,    28,     0,    30,     0,     0,     0,     0,     0,
   283,    46,    47,    27,    34,    26,    35,    45,     0,     0,
     0,     0,     0,     0,     0,     0,     0,   323,   326,   328,
   329,     0,     0,     0,    38,     0,     0,   189,     0,     0,
     0,   253,    42,    22,    44,    29,    36,    39,     0,    33,
     0,    37,    41,     0,     0,    25,     0,     0,    31,    32,
    23,     0,     0,     0,     0,     0,    43,    28,     0,    30,
     0,     0,     0,     0,     0,   283,    46,    47,    27,    34,
    26,    35,    45,     0,     0,     0,     0,     0,     0,     0,
     0,     0,     0,     0,     0,     0,     0,     0,     0,    38,
     0,     0,     0,     0,     0,     0,     0,    42,    22,    44,
    29,    36,    39,   240,    33,     0,    37,    41,     0,     0,
    25,     0,     0,    31,    32,    23,     0,     0,     0,     0,
     0,     0,     0,   241,    43,    28,     0,    30,     0,     0,
     0,     0,     0,     0,    46,    47,     0,    34,     0,    35,
    18,   202,     0,    27,     0,    26,     0,    45,     0,     0,
     0,     0,     0,     0,     0,     0,     0,    38,     0,     0,
     0,     0,   174,     0,     0,    42,    22,    44,    29,    36,
    39,     0,    33,     0,    37,    41,     0,     0,    99,     0,
     0,    31,    32,    23,     0,     0,     0,    43,    28,     0,
    30,     0,     0,     0,     0,     0,     0,    46,    47,     0,
    34,    18,    35,     0,    27,     0,    26,     0,    45,     0,
     0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    38,     0,     0,   172,     0,     0,     0,     0,    42,    22,
    44,    29,    36,    39,     0,    33,     0,    37,    41,     0,
     0,    25,     0,     0,    31,    32,    23,     0,    43,    28,
     0,    30,     0,     0,     0,     0,     0,     0,    46,    47,
     0,    34,    18,    35,     0,    27,     0,    26,     0,    45,
     0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     0,    38,     0,     0,     0,     0,     0,     0,   253,    42,
    22,    44,    29,    36,    39,     0,    33,     0,    37,    41,
     0,     0,    25,     0,     0,    31,    32,    23,     0,     0,
     0,     0,     0,    43,    28,     0,    30,     0,     0,     0,
     0,     0,    18,    46,    47,    27,    34,    26,    35,    45,
     0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     0,     0,     0,     0,     0,     0,    38,     0,     0,     0,
     0,     0,     0,     0,    42,    22,    44,    29,    36,    39,
     0,    33,     0,    37,    41,     0,     0,    25,     0,     0,
    31,    32,    23,     0,   283,     0,     0,    27,     0,    26,
     0,    45,     0,     0,     0,     0,     0,     0,    43,    28,
     0,    30,     0,     0,     0,     0,     0,     0,    46,    47,
     0,    34,     0,    35,     0,     0,     0,     0,     0,     0,
     0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     0,    38,     0,     0,   174,     0,     0,     0,     0,    42,
    22,    44,    29,    36,    39,     0,    33,     0,    37,    41,
     0,     0,    25,     0,     0,    31,    32,    23,   101,    43,
    28,    27,    30,    26,     0,     0,     0,     0,     0,    46,
    47,     0,    34,     0,    35,     0,     0,   161,     0,     0,
    27,     0,    26,     0,    45,     0,     0,     0,     0,     0,
     0,     0,    38,     0,     0,   172,     0,     0,     0,     0,
    42,    22,    44,    29,    36,    39,     0,    33,     0,    37,
    41,     0,     0,    25,     0,     0,    31,    32,    23,     0,
    43,    28,     0,    30,     0,     0,     0,     0,     0,   101,
    46,    47,    27,    34,    26,    35,    45,     0,     0,     0,
     0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     0,     0,     0,    38,     0,     0,     0,     0,     0,     0,
     0,    42,    22,    44,    29,    36,    39,     0,    33,     0,
    37,    41,     0,     0,    25,     0,     0,    31,    32,    23,
    43,    28,     0,    30,     0,     0,     0,     0,     0,   101,
    46,    47,    27,    34,    26,    35,     0,     0,     0,     0,
     0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     0,     0,     0,    38,     0,     0,     0,     0,     0,     0,
     0,    42,    22,    44,    29,    36,    39,     0,    33,     0,
    37,    41,    43,    28,    25,    30,     0,    31,    32,    23,
     0,   101,    46,    47,    27,    34,    26,    35,     0,     0,
     0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     0,     0,     0,     0,     0,    38,     0,     0,     0,     0,
     0,     0,     0,    42,    22,    44,    29,    36,    39,     0,
    33,     0,    37,    41,     0,     0,    25,     0,     0,    31,
    32,    23,     0,     0,     0,     0,     0,     0,     0,     0,
     0,     0,     0,     0,     0,     0,    43,    28,     0,    30,
     0,     0,     0,     0,     0,     0,    46,    47,     0,    34,
     0,    35,     0,     0,     0,    43,    28,     0,    30,     0,
   193,     0,     0,     0,     0,    46,    47,     0,    34,    38,
    35,     0,     0,     0,     0,     0,     0,    42,    22,    44,
    29,    36,    39,     0,    33,     0,    37,    41,    38,     0,
    99,     0,     0,    31,    32,    23,    42,    22,    44,    29,
    36,    39,     0,    33,     0,    37,    41,    43,    28,    25,
    30,     0,    31,    32,    23,     0,     0,    46,    47,     0,
    34,     0,    35,     0,     0,     0,     0,     0,     0,     0,
     0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    38,     0,     0,     0,     0,     0,     0,     0,    42,    22,
    44,    29,    36,    39,     0,    33,     0,    37,    41,     0,
     0,    25,     0,     0,    31,    32,    23,    43,    28,     0,
    30,     0,     0,     0,     0,     0,     0,    46,    47,     0,
    34,     0,    35,     0,     0,     0,     0,     0,     0,     0,
     0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    38,     0,     0,     0,     0,     0,     0,     0,    42,    22,
    44,    29,    36,    39,     0,    33,     0,    37,    41,    43,
    28,    99,    30,     0,    31,    32,    23,     0,     0,    46,
    47,     0,    34,     0,    35,     0,     0,     0,     0,     0,
     0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     0,     0,    38,     0,     0,     0,     0,     0,     0,     0,
    42,    22,    44,    29,    36,    39,     0,     0,     0,    37,
    41,     0,     0,    99,     0,     0,    31,    32,    23 };
static YYCONST yytabelem yypact[]={

     4,-10000000,-10000000,-10000000,  3192,    26,-10000000,-10000000,    22,-10000000,
    60,   388,   -31,   -31,  -279,  2566,-10000000,  -302,  3902,-10000000,
    -7,     8,-10000000,  4159,-10000000,  4099,  4159,  4159,   145,   135,
  4159,  -273,  -273,  -282,   133,   130,-10000000,   129,   128,-10000000,
   124,   122,-10000000,-10000000,-10000000,-10000000,-10000000,-10000000,-10000000,-10000000,
  3192,   388,  3902,-10000000,   982,-10000000,     0,     0,  -172,  3323,
-10000000,  1109,   388,     0,     0,  3323,     0,-10000000,  -179,-10000000,
   120,   119,  4047,  -251,  2566,-10000000,   118,-10000000,-10000000,   388,
   388,   117,-10000000,-10000000,  3902,  3842,  3781,  3902,  3902,  3902,
  3902,  3902,  3902,  3902,  -251,  -322,    -7,-10000000,-10000000,  4159,
  -327,  3902,  3902,-10000000,-10000000,    97,  1592,  4028,  4159,  4159,
  4159,  4159,  4159,  3902,-10000000,-10000000,  -339,  -339,  -339,  3720,
   586,    -7,-10000000,-10000000,  -234,  4159,  3902,  3902,  3902,  3902,
  3902,  3902,  -314,-10000000,   922,   -31,-10000000,-10000000,-10000000,  -173,
  -179,-10000000,-10000000,-10000000,  1109,  1506,-10000000,  -299,   843,-10000000,
-10000000,  1506,-10000000,-10000000,  1109,-10000000,  -173,  2989,  3902,   -60,
    79,  3902,  3131,  -304,-10000000,    -7,     6,  3902,   783,   656,
  -307,  2475,-10000000,  2643,-10000000,  2732,  4211,  4211,  4211,  4211,
  4211,  4211,-10000000,  4211,-10000000,  -273,  2386,  2566,  -241,  3388,
-10000000,  3388,-10000000,  4159,  -339,   -30,   -30,  -339,  -339,  -339,
    57,  2566,-10000000,    96,-10000000,    95,  4159,    -7,  2304,  2304,
  2304,    88,    79,  2304,  2304,    68,-10000000,   388,-10000000,-10000000,
-10000000,-10000000,   517,-10000000,  -177,-10000000,-10000000,-10000000,    43,   -36,
-10000000,  2213,  4159,  4159,  4159,  3645,    86,  3954,  3580,  3519,
  3954,  -251,    -7,  3954,  3902,  2213,-10000000,-10000000,    84,-10000000,
  3902,-10000000,  -251,-10000000,  2566,  2566,    -7,  3388,-10000000,-10000000,
-10000000,    -7,  3388,  3388,  -211,-10000000,  3388,  3388,  3388,-10000000,
   456,  -329,-10000000,-10000000,-10000000,    17,  -251,  -184,-10000000,    -7,
    -7,    -7,  3131,  3902,  -242,  2818,  3262,  3456,-10000000,  4211,
-10000000,  3131,    54,  -184,  -184,  -224,  2566,-10000000,  2566,  2121,
   110,   108,  2032,    80,  1420,  1328,  1254,-10000000,   113,  3902,
  -179,    90,-10000000,    78,  -251,  3954,-10000000,   -31,-10000000,-10000000,
-10000000,-10000000,-10000000,  3388,-10000000,-10000000,  -259,-10000000,  -259,  3388,
-10000000,  3902,  1941,  2989,  -184,  -242,-10000000,  3131,   388,  1856,
   104,   102,   101,  1758,  1684,  -179,    90,  1109,   316,-10000000,
-10000000,-10000000,-10000000,-10000000,     0,  2989,  -184,-10000000,-10000000,-10000000,
    90,  1109,  -184,-10000000,  1109,-10000000 };
static YYCONST yytabelem yypgo[]={

     0,   227,  3093,   171,    83,   226,   144,   225,   242,   222,
   103,   114,   224,    61,     9,    13,  1331,    54,     0,   237,
   221,   219,   217,   216,   213,   212,   208,     2,   206,   189,
    82,   205,     1,  3333,    20,    25,   116,    94,   204,   203,
   201,   200,   199,   197,   196,   195,   193,   191,   190 };
static YYCONST yytabelem yyr1[]={

     0,    40,    40,    36,    36,    37,    37,    33,    33,    26,
    26,    24,    24,    41,    22,    42,    22,    43,    22,    20,
    20,    23,    30,    30,    34,    34,    35,    35,    29,    29,
    15,    15,     1,     1,    10,    11,    11,    11,    11,    11,
    11,    11,    44,    11,    12,    12,     6,     6,     3,     3,
     3,     3,     3,     3,     3,     3,     3,     3,     3,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     4,     4,
     5,     5,     7,     7,     7,    39,    39,    28,    28,    28,
    28,    31,    31,     9,     9,    45,    13,    32,    32,    14,
    14,    14,    14,    14,    14,    14,    14,    27,    27,    16,
    16,    46,    47,    16,    16,    16,    16,    16,    16,    16,
    16,    16,    16,    16,    16,    48,    16,    16,    17,    17,
    38,    38,     8,     8,     8,     8,     8,     8,     8,     8,
     8,     8,     8,     8,     8,     8,     8,     8,     8,     8,
     8,     8,     8,     8,     8,     8,     8,     8,     8,     8,
     8,     8,     8,     8,     8,     8,     8,     8,     8,     8,
     8,     8,     8,     8,    18,    18,    18,    18,    21,    21,
    21,    19,    19,    19,    25 };
static YYCONST yytabelem yyr2[]={

     0,     3,     3,     2,     4,     2,     4,     2,     4,     2,
     4,     2,     4,     1,    25,     1,    21,     1,    17,     3,
     3,     9,     2,     4,     2,     4,     1,     2,     1,     2,
     1,     2,     3,     7,     3,     3,     9,     7,    13,     7,
     9,     9,     1,    19,     2,     7,     2,     7,     7,    11,
     7,     7,     7,     7,     7,    11,     5,     2,     2,     7,
    11,     7,     7,     7,     7,     7,     7,     7,     7,     7,
     7,     7,    11,     9,     7,     5,     2,     2,     7,     7,
     2,     7,     1,     2,     7,     2,     2,     2,     2,     4,
     4,     2,     4,     3,     5,     1,     9,     2,     4,     9,
     9,     9,     5,    11,     5,     3,     3,     2,     4,     5,
     5,     1,     1,    19,     7,     5,     2,     9,     5,     7,
     5,     5,     7,     5,     4,     1,     7,     5,     2,     5,
     2,     2,     9,     7,     7,     7,     7,     7,     7,     5,
     5,     5,     7,     9,     3,     7,     9,     5,     5,     5,
     5,     5,     9,     7,     5,     3,    13,    13,     7,    13,
    13,     3,    17,    17,    13,     9,     3,    13,    13,    17,
    17,    17,    13,     2,     2,     9,     3,     5,     1,     3,
     7,     3,     3,     3,     9 };
static YYCONST yytabelem yychk[]={

-10000000,   -40,    -1,   256,   -29,   -28,   263,    59,   -12,   -11,
   -10,   -30,   261,   262,   297,    -2,   123,   -18,    40,    -9,
    -8,   -19,   330,   347,   -13,   342,    45,    43,   289,   332,
   291,   345,   346,   336,   301,   303,   333,   338,   321,   334,
   -38,   339,   329,   288,   331,    47,   298,   299,   263,    59,
   -29,   -30,    44,   263,   -17,   -16,   290,   292,   -26,   295,
   -22,   -23,   -30,   304,   305,   337,   -14,   -25,    59,   294,
   296,   300,   -39,   293,    -2,   256,   340,   319,   320,   -30,
   -30,   -20,   329,   332,    63,   -37,   -36,   281,   282,   283,
   284,   285,   286,   267,   287,   124,    -8,   279,   278,   342,
   -18,    40,   312,   345,   346,    -4,    -2,    47,    43,    45,
    42,    37,   344,    91,    -8,    -9,    -8,    -8,    -8,    40,
    40,    -8,   -18,   -18,   -18,   285,    40,    40,    40,    40,
    40,    40,   -45,   -11,   -17,   -10,   125,   -16,   -27,   -34,
    59,   263,   -27,   263,   -46,    -2,   -27,   -16,   -17,   -27,
   -27,    -2,   -27,   -27,   -48,   -35,   -34,    40,    40,    -7,
    -5,    40,    -3,   -18,    -9,    -8,   -19,    40,   -17,   -17,
    40,    -2,   263,    -2,   263,    -2,    -2,    -2,    -2,    -2,
    -2,    -2,   -13,    -2,   -19,   336,    -2,    -2,    41,   -33,
    44,   -33,    41,   312,    -8,    -8,    -8,    -8,    -8,    -8,
    -6,    -2,    41,    -6,    41,    -6,   285,    -8,    -2,    -2,
    -2,    -6,   -13,    -2,    -2,   335,   125,   -30,   263,   -35,
   -16,   -27,   -24,   322,   -31,   125,   -27,   -16,   -15,   -19,
   -14,    -2,   124,   280,   283,   -33,    -4,    63,   -37,   -36,
   267,   287,    -8,   312,    91,    -2,   125,   125,   -21,   329,
    58,   -18,   287,   263,    -2,    -2,    -8,   -33,    93,    41,
    41,    -8,   -33,   -33,   -33,    41,   -33,   -33,   -33,    47,
   -17,   -47,   263,   -16,   263,    59,   287,   -32,    41,    -8,
    -8,    -8,    -3,    40,    41,    -3,    -3,    -3,   -13,    -3,
   -19,    -3,    -6,   -32,   -32,   -33,    -2,   -19,    -2,    -2,
   -13,   -13,    -2,   -19,    -2,    -2,    -2,   125,   340,   -35,
    59,   -19,   263,    -4,   287,    58,    93,   -44,   329,    41,
    41,    41,    41,   -33,    41,    41,   -33,    41,   -33,   -33,
    41,    40,    -2,   -35,   -32,    41,   -19,    -3,   -30,    -2,
   -13,   -18,   -18,    -2,    -2,    59,   -15,   -43,   -17,    41,
    41,    41,    41,    41,    41,   -35,   -32,   -16,   125,   -27,
   -15,   -42,   -32,   -16,   -41,   -16 };
static YYCONST yytabelem yydef[]={

    -2,    -2,     1,     2,    32,    29,    87,    88,    28,    44,
    35,     0,     0,     0,     0,    34,    22,   173,     0,    76,
    77,   174,   176,     0,    93,     0,     0,     0,   144,     0,
     0,     0,     0,   155,     0,     0,   161,     0,     0,   166,
     0,     0,   181,   182,   183,    95,   130,   131,    89,    90,
    33,     0,     0,    23,     0,   128,     0,     0,   111,     0,
   116,     0,     0,     0,     0,     0,     0,   125,    26,     9,
     0,     0,    82,     0,   105,   106,     0,    85,    86,     0,
     0,     0,    19,    20,     0,     0,     0,     0,     0,     0,
     0,     0,     0,     0,     0,     0,    75,     5,     3,     0,
   173,     0,     0,   150,   151,     0,     0,     0,     0,     0,
     0,     0,     0,     0,   177,    94,   141,   139,   140,     0,
     0,   147,   148,   149,   154,     0,     0,     0,     0,     0,
     0,     0,     0,    45,     0,    37,    39,   129,   109,   107,
    26,    24,   110,    10,     0,     0,   115,   118,     0,   120,
   121,     0,   123,   124,     0,   127,    27,    -2,     0,   102,
    83,     0,    80,   173,    57,    58,   104,     0,     0,     0,
   178,     0,     6,    61,     4,    62,    -2,    -2,    -2,    -2,
    -2,    -2,    69,    -2,    71,    74,     0,    59,     0,     0,
     7,     0,   158,     0,   136,   133,   134,   135,   137,   138,
     0,    46,   142,     0,   145,     0,     0,   153,     0,     0,
     0,     0,    93,     0,     0,     0,    36,     0,    25,   108,
   112,   114,     0,    11,   119,    91,   122,   126,     0,   174,
    31,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     0,     0,    56,     0,     0,     0,    40,    41,     0,   179,
     0,    73,     0,     8,    79,    78,   132,     0,   175,   143,
   146,   152,     0,     0,     0,   165,     0,     0,     0,    96,
     0,     0,    12,   117,    92,    26,     0,    21,    97,    99,
   100,   101,    81,     0,    84,     0,    50,    51,    52,    -2,
    54,    48,     0,   184,    42,     0,    60,    72,    47,     0,
    93,    93,     0,     0,     0,     0,     0,    38,     0,     0,
    26,     0,    98,     0,     0,     0,   103,     0,   180,   156,
   157,   159,   160,     0,   164,   167,     0,   168,     0,     0,
   172,     0,     0,    -2,    17,     0,    55,    49,     0,     0,
    93,     0,     0,     0,     0,    26,     0,     0,     0,   162,
   163,   169,   170,   171,     0,    -2,    15,    18,    43,   113,
     0,     0,    13,    16,     0,    14 };
typedef struct
#ifdef __cplusplus
	yytoktype
#endif
{ char *t_name; int t_val; } yytoktype;
#ifndef YYDEBUG
#	define YYDEBUG	0	/* don't allow debugging */
#endif

#if YYDEBUG

yytoktype yytoks[] =
{
	"FIRSTTOKEN",	257,
	"PROGRAM",	258,
	"PASTAT",	259,
	"PASTAT2",	260,
	"XBEGIN",	261,
	"XEND",	262,
	"NL",	263,
	",",	44,
	"{",	123,
	"(",	40,
	"|",	124,
	";",	59,
	"/",	47,
	")",	41,
	"}",	125,
	"[",	91,
	"]",	93,
	"ARRAY",	264,
	"MATCH",	265,
	"NOTMATCH",	266,
	"MATCHOP",	267,
	"FINAL",	268,
	"DOT",	269,
	"ALL",	270,
	"CCL",	271,
	"NCCL",	272,
	"CHAR",	273,
	"OR",	274,
	"STAR",	275,
	"QUEST",	276,
	"PLUS",	277,
	"AND",	278,
	"BOR",	279,
	"APPEND",	280,
	"EQ",	281,
	"GE",	282,
	"GT",	283,
	"LE",	284,
	"LT",	285,
	"NE",	286,
	"IN",	287,
	"ARG",	288,
	"BLTIN",	289,
	"BREAK",	290,
	"CLOSE",	291,
	"CONTINUE",	292,
	"DELETE",	293,
	"DO",	294,
	"EXIT",	295,
	"FOR",	296,
	"FUNC",	297,
	"SUB",	298,
	"GSUB",	299,
	"IF",	300,
	"INDEX",	301,
	"LSUBSTR",	302,
	"MATCHFCN",	303,
	"NEXT",	304,
	"NEXTFILE",	305,
	"ADD",	306,
	"MINUS",	307,
	"MULT",	308,
	"DIVIDE",	309,
	"MOD",	310,
	"ASSIGN",	311,
	"ASGNOP",	312,
	"ADDEQ",	313,
	"SUBEQ",	314,
	"MULTEQ",	315,
	"DIVEQ",	316,
	"MODEQ",	317,
	"POWEQ",	318,
	"PRINT",	319,
	"PRINTF",	320,
	"SPRINTF",	321,
	"ELSE",	322,
	"INTEST",	323,
	"CONDEXPR",	324,
	"POSTINCR",	325,
	"PREINCR",	326,
	"POSTDECR",	327,
	"PREDECR",	328,
	"VAR",	329,
	"IVAR",	330,
	"VARNF",	331,
	"CALL",	332,
	"NUMBER",	333,
	"STRING",	334,
	"REGEXPR",	335,
	"?",	63,
	":",	58,
	"GETLINE",	336,
	"RETURN",	337,
	"SPLIT",	338,
	"SUBSTR",	339,
	"WHILE",	340,
	"CAT",	341,
	"+",	43,
	"-",	45,
	"*",	42,
	"%",	37,
	"NOT",	342,
	"UMINUS",	343,
	"POWER",	344,
	"DECR",	345,
	"INCR",	346,
	"INDIRECT",	347,
	"LASTTOKEN",	348,
	"-unknown-",	-1	/* ends search */
};

char * yyreds[] =
{
	"-no such reduction-",
	"program : pas",
	"program : error",
	"and : AND",
	"and : and NL",
	"bor : BOR",
	"bor : bor NL",
	"comma : ','",
	"comma : comma NL",
	"do : DO",
	"do : do NL",
	"else : ELSE",
	"else : else NL",
	"for : FOR '(' opt_simple_stmt ';' opt_nl pattern ';' opt_nl opt_simple_stmt rparen",
	"for : FOR '(' opt_simple_stmt ';' opt_nl pattern ';' opt_nl opt_simple_stmt rparen stmt",
	"for : FOR '(' opt_simple_stmt ';' ';' opt_nl opt_simple_stmt rparen",
	"for : FOR '(' opt_simple_stmt ';' ';' opt_nl opt_simple_stmt rparen stmt",
	"for : FOR '(' varname IN varname rparen",
	"for : FOR '(' varname IN varname rparen stmt",
	"funcname : VAR",
	"funcname : CALL",
	"if : IF '(' pattern rparen",
	"lbrace : '{'",
	"lbrace : lbrace NL",
	"nl : NL",
	"nl : nl NL",
	"opt_nl : /* empty */",
	"opt_nl : nl",
	"opt_pst : /* empty */",
	"opt_pst : pst",
	"opt_simple_stmt : /* empty */",
	"opt_simple_stmt : simple_stmt",
	"pas : opt_pst",
	"pas : opt_pst pa_stats opt_pst",
	"pa_pat : pattern",
	"pa_stat : pa_pat",
	"pa_stat : pa_pat lbrace stmtlist '}'",
	"pa_stat : pa_pat ',' pa_pat",
	"pa_stat : pa_pat ',' pa_pat lbrace stmtlist '}'",
	"pa_stat : lbrace stmtlist '}'",
	"pa_stat : XBEGIN lbrace stmtlist '}'",
	"pa_stat : XEND lbrace stmtlist '}'",
	"pa_stat : FUNC funcname '(' varlist rparen",
	"pa_stat : FUNC funcname '(' varlist rparen lbrace stmtlist '}'",
	"pa_stats : pa_stat",
	"pa_stats : pa_stats opt_pst pa_stat",
	"patlist : pattern",
	"patlist : patlist comma pattern",
	"ppattern : var ASGNOP ppattern",
	"ppattern : ppattern '?' ppattern ':' ppattern",
	"ppattern : ppattern bor ppattern",
	"ppattern : ppattern and ppattern",
	"ppattern : ppattern MATCHOP reg_expr",
	"ppattern : ppattern MATCHOP ppattern",
	"ppattern : ppattern IN varname",
	"ppattern : '(' plist ')' IN varname",
	"ppattern : ppattern term",
	"ppattern : re",
	"ppattern : term",
	"pattern : var ASGNOP pattern",
	"pattern : pattern '?' pattern ':' pattern",
	"pattern : pattern bor pattern",
	"pattern : pattern and pattern",
	"pattern : pattern EQ pattern",
	"pattern : pattern GE pattern",
	"pattern : pattern GT pattern",
	"pattern : pattern LE pattern",
	"pattern : pattern LT pattern",
	"pattern : pattern NE pattern",
	"pattern : pattern MATCHOP reg_expr",
	"pattern : pattern MATCHOP pattern",
	"pattern : pattern IN varname",
	"pattern : '(' plist ')' IN varname",
	"pattern : pattern '|' GETLINE var",
	"pattern : pattern '|' GETLINE",
	"pattern : pattern term",
	"pattern : re",
	"pattern : term",
	"plist : pattern comma pattern",
	"plist : plist comma pattern",
	"pplist : ppattern",
	"pplist : pplist comma ppattern",
	"prarg : /* empty */",
	"prarg : pplist",
	"prarg : '(' plist ')'",
	"print : PRINT",
	"print : PRINTF",
	"pst : NL",
	"pst : ';'",
	"pst : pst NL",
	"pst : pst ';'",
	"rbrace : '}'",
	"rbrace : rbrace NL",
	"re : reg_expr",
	"re : NOT re",
	"reg_expr : '/'",
	"reg_expr : '/' REGEXPR '/'",
	"rparen : ')'",
	"rparen : rparen NL",
	"simple_stmt : print prarg '|' term",
	"simple_stmt : print prarg APPEND term",
	"simple_stmt : print prarg GT term",
	"simple_stmt : print prarg",
	"simple_stmt : DELETE varname '[' patlist ']'",
	"simple_stmt : DELETE varname",
	"simple_stmt : pattern",
	"simple_stmt : error",
	"st : nl",
	"st : ';' opt_nl",
	"stmt : BREAK st",
	"stmt : CONTINUE st",
	"stmt : do",
	"stmt : do stmt",
	"stmt : do stmt WHILE '(' pattern ')' st",
	"stmt : EXIT pattern st",
	"stmt : EXIT st",
	"stmt : for",
	"stmt : if stmt else stmt",
	"stmt : if stmt",
	"stmt : lbrace stmtlist rbrace",
	"stmt : NEXT st",
	"stmt : NEXTFILE st",
	"stmt : RETURN pattern st",
	"stmt : RETURN st",
	"stmt : simple_stmt st",
	"stmt : while",
	"stmt : while stmt",
	"stmt : ';' opt_nl",
	"stmtlist : stmt",
	"stmtlist : stmtlist stmt",
	"subop : SUB",
	"subop : GSUB",
	"term : term '/' ASGNOP term",
	"term : term '+' term",
	"term : term '-' term",
	"term : term '*' term",
	"term : term '/' term",
	"term : term '%' term",
	"term : term POWER term",
	"term : '-' term",
	"term : '+' term",
	"term : NOT term",
	"term : BLTIN '(' ')'",
	"term : BLTIN '(' patlist ')'",
	"term : BLTIN",
	"term : CALL '(' ')'",
	"term : CALL '(' patlist ')'",
	"term : CLOSE term",
	"term : DECR var",
	"term : INCR var",
	"term : var DECR",
	"term : var INCR",
	"term : GETLINE var LT term",
	"term : GETLINE LT term",
	"term : GETLINE var",
	"term : GETLINE",
	"term : INDEX '(' pattern comma pattern ')'",
	"term : INDEX '(' pattern comma reg_expr ')'",
	"term : '(' pattern ')'",
	"term : MATCHFCN '(' pattern comma reg_expr ')'",
	"term : MATCHFCN '(' pattern comma pattern ')'",
	"term : NUMBER",
	"term : SPLIT '(' pattern comma varname comma pattern ')'",
	"term : SPLIT '(' pattern comma varname comma reg_expr ')'",
	"term : SPLIT '(' pattern comma varname ')'",
	"term : SPRINTF '(' patlist ')'",
	"term : STRING",
	"term : subop '(' reg_expr comma pattern ')'",
	"term : subop '(' pattern comma pattern ')'",
	"term : subop '(' reg_expr comma pattern comma var ')'",
	"term : subop '(' pattern comma pattern comma var ')'",
	"term : SUBSTR '(' pattern comma pattern comma pattern ')'",
	"term : SUBSTR '(' pattern comma pattern ')'",
	"term : var",
	"var : varname",
	"var : varname '[' patlist ']'",
	"var : IVAR",
	"var : INDIRECT term",
	"varlist : /* empty */",
	"varlist : VAR",
	"varlist : varlist comma VAR",
	"varname : VAR",
	"varname : ARG",
	"varname : VARNF",
	"while : WHILE '(' pattern rparen",
};
#endif /* YYDEBUG */
# line	1 "/usr/ccs/bin/yaccpar"
/*
 * Copyright (c) 1993 by Sun Microsystems, Inc.
 */

#pragma ident	"@(#)yaccpar	6.16	99/01/20 SMI"

/*
** Skeleton parser driver for yacc output
*/

/*
** yacc user known macros and defines
*/
#define YYERROR		goto yyerrlab
#define YYACCEPT	return(0)
#define YYABORT		return(1)
#define YYBACKUP( newtoken, newvalue )\
{\
	if ( yychar >= 0 || ( yyr2[ yytmp ] >> 1 ) != 1 )\
	{\
		yyerror( "syntax error - cannot backup" );\
		goto yyerrlab;\
	}\
	yychar = newtoken;\
	yystate = *yyps;\
	yylval = newvalue;\
	goto yynewstate;\
}
#define YYRECOVERING()	(!!yyerrflag)
#define YYNEW(type)	malloc(sizeof(type) * yynewmax)
#define YYCOPY(to, from, type) \
	(type *) memcpy(to, (char *) from, yymaxdepth * sizeof (type))
#define YYENLARGE( from, type) \
	(type *) realloc((char *) from, yynewmax * sizeof(type))
#ifndef YYDEBUG
#	define YYDEBUG	1	/* make debugging available */
#endif

/*
** user known globals
*/
int yydebug;			/* set to 1 to get debugging */

/*
** driver internal defines
*/
#define YYFLAG		(-10000000)

/*
** global variables used by the parser
*/
YYSTYPE *yypv;			/* top of value stack */
int *yyps;			/* top of state stack */

int yystate;			/* current state */
int yytmp;			/* extra var (lasts between blocks) */

int yynerrs;			/* number of errors */
int yyerrflag;			/* error recovery flag */
int yychar;			/* current input token number */



#ifdef YYNMBCHARS
#define YYLEX()		yycvtok(yylex())
/*
** yycvtok - return a token if i is a wchar_t value that exceeds 255.
**	If i<255, i itself is the token.  If i>255 but the neither 
**	of the 30th or 31st bit is on, i is already a token.
*/
#if defined(__STDC__) || defined(__cplusplus)
int yycvtok(int i)
#else
int yycvtok(i) int i;
#endif
{
	int first = 0;
	int last = YYNMBCHARS - 1;
	int mid;
	wchar_t j;

	if(i&0x60000000){/*Must convert to a token. */
		if( yymbchars[last].character < i ){
			return i;/*Giving up*/
		}
		while ((last>=first)&&(first>=0)) {/*Binary search loop*/
			mid = (first+last)/2;
			j = yymbchars[mid].character;
			if( j==i ){/*Found*/ 
				return yymbchars[mid].tvalue;
			}else if( j<i ){
				first = mid + 1;
			}else{
				last = mid -1;
			}
		}
		/*No entry in the table.*/
		return i;/* Giving up.*/
	}else{/* i is already a token. */
		return i;
	}
}
#else/*!YYNMBCHARS*/
#define YYLEX()		yylex()
#endif/*!YYNMBCHARS*/

/*
** yyparse - return 0 if worked, 1 if syntax error not recovered from
*/
#if defined(__STDC__) || defined(__cplusplus)
int yyparse(void)
#else
int yyparse()
#endif
{
	register YYSTYPE *yypvt = 0;	/* top of value stack for $vars */

#if defined(__cplusplus) || defined(lint)
/*
	hacks to please C++ and lint - goto's inside
	switch should never be executed
*/
	static int __yaccpar_lint_hack__ = 0;
	switch (__yaccpar_lint_hack__)
	{
		case 1: goto yyerrlab;
		case 2: goto yynewstate;
	}
#endif

	/*
	** Initialize externals - yyparse may be called more than once
	*/
	yypv = &yyv[-1];
	yyps = &yys[-1];
	yystate = 0;
	yytmp = 0;
	yynerrs = 0;
	yyerrflag = 0;
	yychar = -1;

#if YYMAXDEPTH <= 0
	if (yymaxdepth <= 0)
	{
		if ((yymaxdepth = YYEXPAND(0)) <= 0)
		{
			yyerror("yacc initialization error");
			YYABORT;
		}
	}
#endif

	{
		register YYSTYPE *yy_pv;	/* top of value stack */
		register int *yy_ps;		/* top of state stack */
		register int yy_state;		/* current state */
		register int  yy_n;		/* internal state number info */
	goto yystack;	/* moved from 6 lines above to here to please C++ */

		/*
		** get globals into registers.
		** branch to here only if YYBACKUP was called.
		*/
	yynewstate:
		yy_pv = yypv;
		yy_ps = yyps;
		yy_state = yystate;
		goto yy_newstate;

		/*
		** get globals into registers.
		** either we just started, or we just finished a reduction
		*/
	yystack:
		yy_pv = yypv;
		yy_ps = yyps;
		yy_state = yystate;

		/*
		** top of for (;;) loop while no reductions done
		*/
	yy_stack:
		/*
		** put a state and value onto the stacks
		*/
#if YYDEBUG
		/*
		** if debugging, look up token value in list of value vs.
		** name pairs.  0 and negative (-1) are special values.
		** Note: linear search is used since time is not a real
		** consideration while debugging.
		*/
		if ( yydebug )
		{
			register int yy_i;

			printf( "State %d, token ", yy_state );
			if ( yychar == 0 )
				printf( "end-of-file\n" );
			else if ( yychar < 0 )
				printf( "-none-\n" );
			else
			{
				for ( yy_i = 0; yytoks[yy_i].t_val >= 0;
					yy_i++ )
				{
					if ( yytoks[yy_i].t_val == yychar )
						break;
				}
				printf( "%s\n", yytoks[yy_i].t_name );
			}
		}
#endif /* YYDEBUG */
		if ( ++yy_ps >= &yys[ yymaxdepth ] )	/* room on stack? */
		{
			/*
			** reallocate and recover.  Note that pointers
			** have to be reset, or bad things will happen
			*/
			long yyps_index = (yy_ps - yys);
			long yypv_index = (yy_pv - yyv);
			long yypvt_index = (yypvt - yyv);
			int yynewmax;
#ifdef YYEXPAND
			yynewmax = YYEXPAND(yymaxdepth);
#else
			yynewmax = 2 * yymaxdepth;	/* double table size */
			if (yymaxdepth == YYMAXDEPTH)	/* first time growth */
			{
				char *newyys = (char *)YYNEW(int);
				char *newyyv = (char *)YYNEW(YYSTYPE);
				if (newyys != 0 && newyyv != 0)
				{
					yys = YYCOPY(newyys, yys, int);
					yyv = YYCOPY(newyyv, yyv, YYSTYPE);
				}
				else
					yynewmax = 0;	/* failed */
			}
			else				/* not first time */
			{
				yys = YYENLARGE(yys, int);
				yyv = YYENLARGE(yyv, YYSTYPE);
				if (yys == 0 || yyv == 0)
					yynewmax = 0;	/* failed */
			}
#endif
			if (yynewmax <= yymaxdepth)	/* tables not expanded */
			{
				yyerror( "yacc stack overflow" );
				YYABORT;
			}
			yymaxdepth = yynewmax;

			yy_ps = yys + yyps_index;
			yy_pv = yyv + yypv_index;
			yypvt = yyv + yypvt_index;
		}
		*yy_ps = yy_state;
		*++yy_pv = yyval;

		/*
		** we have a new state - find out what to do
		*/
	yy_newstate:
		if ( ( yy_n = yypact[ yy_state ] ) <= YYFLAG )
			goto yydefault;		/* simple state */
#if YYDEBUG
		/*
		** if debugging, need to mark whether new token grabbed
		*/
		yytmp = yychar < 0;
#endif
		if ( ( yychar < 0 ) && ( ( yychar = YYLEX() ) < 0 ) )
			yychar = 0;		/* reached EOF */
#if YYDEBUG
		if ( yydebug && yytmp )
		{
			register int yy_i;

			printf( "Received token " );
			if ( yychar == 0 )
				printf( "end-of-file\n" );
			else if ( yychar < 0 )
				printf( "-none-\n" );
			else
			{
				for ( yy_i = 0; yytoks[yy_i].t_val >= 0;
					yy_i++ )
				{
					if ( yytoks[yy_i].t_val == yychar )
						break;
				}
				printf( "%s\n", yytoks[yy_i].t_name );
			}
		}
#endif /* YYDEBUG */
		if ( ( ( yy_n += yychar ) < 0 ) || ( yy_n >= YYLAST ) )
			goto yydefault;
		if ( yychk[ yy_n = yyact[ yy_n ] ] == yychar )	/*valid shift*/
		{
			yychar = -1;
			yyval = yylval;
			yy_state = yy_n;
			if ( yyerrflag > 0 )
				yyerrflag--;
			goto yy_stack;
		}

	yydefault:
		if ( ( yy_n = yydef[ yy_state ] ) == -2 )
		{
#if YYDEBUG
			yytmp = yychar < 0;
#endif
			if ( ( yychar < 0 ) && ( ( yychar = YYLEX() ) < 0 ) )
				yychar = 0;		/* reached EOF */
#if YYDEBUG
			if ( yydebug && yytmp )
			{
				register int yy_i;

				printf( "Received token " );
				if ( yychar == 0 )
					printf( "end-of-file\n" );
				else if ( yychar < 0 )
					printf( "-none-\n" );
				else
				{
					for ( yy_i = 0;
						yytoks[yy_i].t_val >= 0;
						yy_i++ )
					{
						if ( yytoks[yy_i].t_val
							== yychar )
						{
							break;
						}
					}
					printf( "%s\n", yytoks[yy_i].t_name );
				}
			}
#endif /* YYDEBUG */
			/*
			** look through exception table
			*/
			{
				register YYCONST int *yyxi = yyexca;

				while ( ( *yyxi != -1 ) ||
					( yyxi[1] != yy_state ) )
				{
					yyxi += 2;
				}
				while ( ( *(yyxi += 2) >= 0 ) &&
					( *yyxi != yychar ) )
					;
				if ( ( yy_n = yyxi[1] ) < 0 )
					YYACCEPT;
			}
		}

		/*
		** check for syntax error
		*/
		if ( yy_n == 0 )	/* have an error */
		{
			/* no worry about speed here! */
			switch ( yyerrflag )
			{
			case 0:		/* new error */
				yyerror( "syntax error" );
				goto skip_init;
			yyerrlab:
				/*
				** get globals into registers.
				** we have a user generated syntax type error
				*/
				yy_pv = yypv;
				yy_ps = yyps;
				yy_state = yystate;
			skip_init:
				yynerrs++;
				/* FALLTHRU */
			case 1:
			case 2:		/* incompletely recovered error */
					/* try again... */
				yyerrflag = 3;
				/*
				** find state where "error" is a legal
				** shift action
				*/
				while ( yy_ps >= yys )
				{
					yy_n = yypact[ *yy_ps ] + YYERRCODE;
					if ( yy_n >= 0 && yy_n < YYLAST &&
						yychk[yyact[yy_n]] == YYERRCODE)					{
						/*
						** simulate shift of "error"
						*/
						yy_state = yyact[ yy_n ];
						goto yy_stack;
					}
					/*
					** current state has no shift on
					** "error", pop stack
					*/
#if YYDEBUG
#	define _POP_ "Error recovery pops state %d, uncovers state %d\n"
					if ( yydebug )
						printf( _POP_, *yy_ps,
							yy_ps[-1] );
#	undef _POP_
#endif
					yy_ps--;
					yy_pv--;
				}
				/*
				** there is no state on stack with "error" as
				** a valid shift.  give up.
				*/
				YYABORT;
			case 3:		/* no shift yet; eat a token */
#if YYDEBUG
				/*
				** if debugging, look up token in list of
				** pairs.  0 and negative shouldn't occur,
				** but since timing doesn't matter when
				** debugging, it doesn't hurt to leave the
				** tests here.
				*/
				if ( yydebug )
				{
					register int yy_i;

					printf( "Error recovery discards " );
					if ( yychar == 0 )
						printf( "token end-of-file\n" );
					else if ( yychar < 0 )
						printf( "token -none-\n" );
					else
					{
						for ( yy_i = 0;
							yytoks[yy_i].t_val >= 0;
							yy_i++ )
						{
							if ( yytoks[yy_i].t_val
								== yychar )
							{
								break;
							}
						}
						printf( "token %s\n",
							yytoks[yy_i].t_name );
					}
				}
#endif /* YYDEBUG */
				if ( yychar == 0 )	/* reached EOF. quit */
					YYABORT;
				yychar = -1;
				goto yy_newstate;
			}
		}/* end if ( yy_n == 0 ) */
		/*
		** reduction by production yy_n
		** put stack tops, etc. so things right after switch
		*/
#if YYDEBUG
		/*
		** if debugging, print the string that is the user's
		** specification of the reduction which is just about
		** to be done.
		*/
		if ( yydebug )
			printf( "Reduce by (%d) \"%s\"\n",
				yy_n, yyreds[ yy_n ] );
#endif
		yytmp = yy_n;			/* value to switch over */
		yypvt = yy_pv;			/* $vars top of value stack */
		/*
		** Look in goto table for next state
		** Sorry about using yy_state here as temporary
		** register variable, but why not, if it works...
		** If yyr2[ yy_n ] doesn't have the low order bit
		** set, then there is no action to be done for
		** this reduction.  So, no saving & unsaving of
		** registers done.  The only difference between the
		** code just after the if and the body of the if is
		** the goto yy_stack in the body.  This way the test
		** can be made before the choice of what to do is needed.
		*/
		{
			/* length of production doubled with extra bit */
			register int yy_len = yyr2[ yy_n ];

			if ( !( yy_len & 01 ) )
			{
				yy_len >>= 1;
				yyval = ( yy_pv -= yy_len )[1];	/* $$ = $1 */
				yy_state = yypgo[ yy_n = yyr1[ yy_n ] ] +
					*( yy_ps -= yy_len ) + 1;
				if ( yy_state >= YYLAST ||
					yychk[ yy_state =
					yyact[ yy_state ] ] != -yy_n )
				{
					yy_state = yyact[ yypgo[ yy_n ] ];
				}
				goto yy_stack;
			}
			yy_len >>= 1;
			yyval = ( yy_pv -= yy_len )[1];	/* $$ = $1 */
			yy_state = yypgo[ yy_n = yyr1[ yy_n ] ] +
				*( yy_ps -= yy_len ) + 1;
			if ( yy_state >= YYLAST ||
				yychk[ yy_state = yyact[ yy_state ] ] != -yy_n )
			{
				yy_state = yyact[ yypgo[ yy_n ] ];
			}
		}
					/* save until reenter driver code */
		yystate = yy_state;
		yyps = yy_ps;
		yypv = yy_pv;
	}
	/*
	** code supplied by user is placed in this switch
	*/
	switch( yytmp )
	{
		
case 1:
# line 98 "awkgram.y"
{ if (errorflag==0)
			winner = (Node *)stat3(PROGRAM, beginloc, yypvt[-0].p, endloc); } break;
case 2:
# line 100 "awkgram.y"
{ yyclearin; bracecheck(); SYNTAX("bailing out"); } break;
case 13:
# line 124 "awkgram.y"
{inloop++;} break;
case 14:
# line 125 "awkgram.y"
{ --inloop; yyval.p = stat4(FOR, yypvt[-9].p, notnull(yypvt[-6].p), yypvt[-3].p, yypvt[-0].p); } break;
case 15:
# line 126 "awkgram.y"
{inloop++;} break;
case 16:
# line 127 "awkgram.y"
{ --inloop; yyval.p = stat4(FOR, yypvt[-7].p, NIL, yypvt[-3].p, yypvt[-0].p); } break;
case 17:
# line 128 "awkgram.y"
{inloop++;} break;
case 18:
# line 129 "awkgram.y"
{ --inloop; yyval.p = stat3(IN, yypvt[-5].p, makearr(yypvt[-3].p), yypvt[-0].p); } break;
case 19:
# line 133 "awkgram.y"
{ setfname(yypvt[-0].cp); } break;
case 20:
# line 134 "awkgram.y"
{ setfname(yypvt[-0].cp); } break;
case 21:
# line 138 "awkgram.y"
{ yyval.p = notnull(yypvt[-1].p); } break;
case 26:
# line 150 "awkgram.y"
{ yyval.i = 0; } break;
case 28:
# line 155 "awkgram.y"
{ yyval.i = 0; } break;
case 30:
# line 161 "awkgram.y"
{ yyval.p = 0; } break;
case 32:
# line 166 "awkgram.y"
{ yyval.p = 0; } break;
case 33:
# line 167 "awkgram.y"
{ yyval.p = yypvt[-1].p; } break;
case 34:
# line 171 "awkgram.y"
{ yyval.p = notnull(yypvt[-0].p); } break;
case 35:
# line 175 "awkgram.y"
{ yyval.p = stat2(PASTAT, yypvt[-0].p, stat2(PRINT, rectonode(), NIL)); } break;
case 36:
# line 176 "awkgram.y"
{ yyval.p = stat2(PASTAT, yypvt[-3].p, yypvt[-1].p); } break;
case 37:
# line 177 "awkgram.y"
{ yyval.p = pa2stat(yypvt[-2].p, yypvt[-0].p, stat2(PRINT, rectonode(), NIL)); } break;
case 38:
# line 178 "awkgram.y"
{ yyval.p = pa2stat(yypvt[-5].p, yypvt[-3].p, yypvt[-1].p); } break;
case 39:
# line 179 "awkgram.y"
{ yyval.p = stat2(PASTAT, NIL, yypvt[-1].p); } break;
case 40:
# line 181 "awkgram.y"
{ beginloc = linkum(beginloc, yypvt[-1].p); yyval.p = 0; } break;
case 41:
# line 183 "awkgram.y"
{ endloc = linkum(endloc, yypvt[-1].p); yyval.p = 0; } break;
case 42:
# line 184 "awkgram.y"
{infunc++;} break;
case 43:
# line 185 "awkgram.y"
{ infunc--; curfname=0; defn((Cell *)yypvt[-7].p, yypvt[-5].p, yypvt[-1].p); yyval.p = 0; } break;
case 45:
# line 190 "awkgram.y"
{ yyval.p = linkum(yypvt[-2].p, yypvt[-0].p); } break;
case 47:
# line 195 "awkgram.y"
{ yyval.p = linkum(yypvt[-2].p, yypvt[-0].p); } break;
case 48:
# line 199 "awkgram.y"
{ yyval.p = op2(yypvt[-1].i, yypvt[-2].p, yypvt[-0].p); } break;
case 49:
# line 201 "awkgram.y"
{ yyval.p = op3(CONDEXPR, notnull(yypvt[-4].p), yypvt[-2].p, yypvt[-0].p); } break;
case 50:
# line 203 "awkgram.y"
{ yyval.p = op2(BOR, notnull(yypvt[-2].p), notnull(yypvt[-0].p)); } break;
case 51:
# line 205 "awkgram.y"
{ yyval.p = op2(AND, notnull(yypvt[-2].p), notnull(yypvt[-0].p)); } break;
case 52:
# line 206 "awkgram.y"
{ yyval.p = op3(yypvt[-1].i, NIL, yypvt[-2].p, (Node*)makedfa(yypvt[-0].s, 0)); } break;
case 53:
# line 208 "awkgram.y"
{ if (constnode(yypvt[-0].p))
			yyval.p = op3(yypvt[-1].i, NIL, yypvt[-2].p, (Node*)makedfa(strnode(yypvt[-0].p), 0));
		  else
			yyval.p = op3(yypvt[-1].i, (Node *)1, yypvt[-2].p, yypvt[-0].p); } break;
case 54:
# line 212 "awkgram.y"
{ yyval.p = op2(INTEST, yypvt[-2].p, makearr(yypvt[-0].p)); } break;
case 55:
# line 213 "awkgram.y"
{ yyval.p = op2(INTEST, yypvt[-3].p, makearr(yypvt[-0].p)); } break;
case 56:
# line 214 "awkgram.y"
{ yyval.p = op2(CAT, yypvt[-1].p, yypvt[-0].p); } break;
case 59:
# line 220 "awkgram.y"
{ yyval.p = op2(yypvt[-1].i, yypvt[-2].p, yypvt[-0].p); } break;
case 60:
# line 222 "awkgram.y"
{ yyval.p = op3(CONDEXPR, notnull(yypvt[-4].p), yypvt[-2].p, yypvt[-0].p); } break;
case 61:
# line 224 "awkgram.y"
{ yyval.p = op2(BOR, notnull(yypvt[-2].p), notnull(yypvt[-0].p)); } break;
case 62:
# line 226 "awkgram.y"
{ yyval.p = op2(AND, notnull(yypvt[-2].p), notnull(yypvt[-0].p)); } break;
case 63:
# line 227 "awkgram.y"
{ yyval.p = op2(yypvt[-1].i, yypvt[-2].p, yypvt[-0].p); } break;
case 64:
# line 228 "awkgram.y"
{ yyval.p = op2(yypvt[-1].i, yypvt[-2].p, yypvt[-0].p); } break;
case 65:
# line 229 "awkgram.y"
{ yyval.p = op2(yypvt[-1].i, yypvt[-2].p, yypvt[-0].p); } break;
case 66:
# line 230 "awkgram.y"
{ yyval.p = op2(yypvt[-1].i, yypvt[-2].p, yypvt[-0].p); } break;
case 67:
# line 231 "awkgram.y"
{ yyval.p = op2(yypvt[-1].i, yypvt[-2].p, yypvt[-0].p); } break;
case 68:
# line 232 "awkgram.y"
{ yyval.p = op2(yypvt[-1].i, yypvt[-2].p, yypvt[-0].p); } break;
case 69:
# line 233 "awkgram.y"
{ yyval.p = op3(yypvt[-1].i, NIL, yypvt[-2].p, (Node*)makedfa(yypvt[-0].s, 0)); } break;
case 70:
# line 235 "awkgram.y"
{ if (constnode(yypvt[-0].p))
			yyval.p = op3(yypvt[-1].i, NIL, yypvt[-2].p, (Node*)makedfa(strnode(yypvt[-0].p), 0));
		  else
			yyval.p = op3(yypvt[-1].i, (Node *)1, yypvt[-2].p, yypvt[-0].p); } break;
case 71:
# line 239 "awkgram.y"
{ yyval.p = op2(INTEST, yypvt[-2].p, makearr(yypvt[-0].p)); } break;
case 72:
# line 240 "awkgram.y"
{ yyval.p = op2(INTEST, yypvt[-3].p, makearr(yypvt[-0].p)); } break;
case 73:
# line 241 "awkgram.y"
{ 
			if (safe) SYNTAX("cmd | getline is unsafe");
			else yyval.p = op3(GETLINE, yypvt[-0].p, itonp(yypvt[-2].i), yypvt[-3].p); } break;
case 74:
# line 244 "awkgram.y"
{ 
			if (safe) SYNTAX("cmd | getline is unsafe");
			else yyval.p = op3(GETLINE, (Node*)0, itonp(yypvt[-1].i), yypvt[-2].p); } break;
case 75:
# line 247 "awkgram.y"
{ yyval.p = op2(CAT, yypvt[-1].p, yypvt[-0].p); } break;
case 78:
# line 253 "awkgram.y"
{ yyval.p = linkum(yypvt[-2].p, yypvt[-0].p); } break;
case 79:
# line 254 "awkgram.y"
{ yyval.p = linkum(yypvt[-2].p, yypvt[-0].p); } break;
case 81:
# line 259 "awkgram.y"
{ yyval.p = linkum(yypvt[-2].p, yypvt[-0].p); } break;
case 82:
# line 263 "awkgram.y"
{ yyval.p = rectonode(); } break;
case 84:
# line 265 "awkgram.y"
{ yyval.p = yypvt[-1].p; } break;
case 93:
# line 282 "awkgram.y"
{ yyval.p = op3(MATCH, NIL, rectonode(), (Node*)makedfa(yypvt[-0].s, 0)); } break;
case 94:
# line 283 "awkgram.y"
{ yyval.p = op1(NOT, notnull(yypvt[-0].p)); } break;
case 95:
# line 287 "awkgram.y"
{startreg();} break;
case 96:
# line 287 "awkgram.y"
{ yyval.s = yypvt[-1].s; } break;
case 99:
# line 295 "awkgram.y"
{ 
			if (safe) SYNTAX("print | is unsafe");
			else yyval.p = stat3(yypvt[-3].i, yypvt[-2].p, itonp(yypvt[-1].i), yypvt[-0].p); } break;
case 100:
# line 298 "awkgram.y"
{
			if (safe) SYNTAX("print >> is unsafe");
			else yyval.p = stat3(yypvt[-3].i, yypvt[-2].p, itonp(yypvt[-1].i), yypvt[-0].p); } break;
case 101:
# line 301 "awkgram.y"
{
			if (safe) SYNTAX("print > is unsafe");
			else yyval.p = stat3(yypvt[-3].i, yypvt[-2].p, itonp(yypvt[-1].i), yypvt[-0].p); } break;
case 102:
# line 304 "awkgram.y"
{ yyval.p = stat3(yypvt[-1].i, yypvt[-0].p, NIL, NIL); } break;
case 103:
# line 305 "awkgram.y"
{ yyval.p = stat2(DELETE, makearr(yypvt[-3].p), yypvt[-1].p); } break;
case 104:
# line 306 "awkgram.y"
{ yyval.p = stat2(DELETE, makearr(yypvt[-0].p), 0); } break;
case 105:
# line 307 "awkgram.y"
{ yyval.p = exptostat(yypvt[-0].p); } break;
case 106:
# line 308 "awkgram.y"
{ yyclearin; SYNTAX("illegal statement"); } break;
case 109:
# line 317 "awkgram.y"
{ if (!inloop) SYNTAX("break illegal outside of loops");
				  yyval.p = stat1(BREAK, NIL); } break;
case 110:
# line 319 "awkgram.y"
{  if (!inloop) SYNTAX("continue illegal outside of loops");
				  yyval.p = stat1(CONTINUE, NIL); } break;
case 111:
# line 321 "awkgram.y"
{inloop++;} break;
case 112:
# line 321 "awkgram.y"
{--inloop;} break;
case 113:
# line 322 "awkgram.y"
{ yyval.p = stat2(DO, yypvt[-6].p, notnull(yypvt[-2].p)); } break;
case 114:
# line 323 "awkgram.y"
{ yyval.p = stat1(EXIT, yypvt[-1].p); } break;
case 115:
# line 324 "awkgram.y"
{ yyval.p = stat1(EXIT, NIL); } break;
case 117:
# line 326 "awkgram.y"
{ yyval.p = stat3(IF, yypvt[-3].p, yypvt[-2].p, yypvt[-0].p); } break;
case 118:
# line 327 "awkgram.y"
{ yyval.p = stat3(IF, yypvt[-1].p, yypvt[-0].p, NIL); } break;
case 119:
# line 328 "awkgram.y"
{ yyval.p = yypvt[-1].p; } break;
case 120:
# line 329 "awkgram.y"
{ if (infunc)
				SYNTAX("next is illegal inside a function");
			  yyval.p = stat1(NEXT, NIL); } break;
case 121:
# line 332 "awkgram.y"
{ if (infunc)
				SYNTAX("nextfile is illegal inside a function");
			  yyval.p = stat1(NEXTFILE, NIL); } break;
case 122:
# line 335 "awkgram.y"
{ yyval.p = stat1(RETURN, yypvt[-1].p); } break;
case 123:
# line 336 "awkgram.y"
{ yyval.p = stat1(RETURN, NIL); } break;
case 125:
# line 338 "awkgram.y"
{inloop++;} break;
case 126:
# line 338 "awkgram.y"
{ --inloop; yyval.p = stat2(WHILE, yypvt[-2].p, yypvt[-0].p); } break;
case 127:
# line 339 "awkgram.y"
{ yyval.p = 0; } break;
case 129:
# line 344 "awkgram.y"
{ yyval.p = linkum(yypvt[-1].p, yypvt[-0].p); } break;
case 132:
# line 352 "awkgram.y"
{ yyval.p = op2(DIVEQ, yypvt[-3].p, yypvt[-0].p); } break;
case 133:
# line 353 "awkgram.y"
{ yyval.p = op2(ADD, yypvt[-2].p, yypvt[-0].p); } break;
case 134:
# line 354 "awkgram.y"
{ yyval.p = op2(MINUS, yypvt[-2].p, yypvt[-0].p); } break;
case 135:
# line 355 "awkgram.y"
{ yyval.p = op2(MULT, yypvt[-2].p, yypvt[-0].p); } break;
case 136:
# line 356 "awkgram.y"
{ yyval.p = op2(DIVIDE, yypvt[-2].p, yypvt[-0].p); } break;
case 137:
# line 357 "awkgram.y"
{ yyval.p = op2(MOD, yypvt[-2].p, yypvt[-0].p); } break;
case 138:
# line 358 "awkgram.y"
{ yyval.p = op2(POWER, yypvt[-2].p, yypvt[-0].p); } break;
case 139:
# line 359 "awkgram.y"
{ yyval.p = op1(UMINUS, yypvt[-0].p); } break;
case 140:
# line 360 "awkgram.y"
{ yyval.p = yypvt[-0].p; } break;
case 141:
# line 361 "awkgram.y"
{ yyval.p = op1(NOT, notnull(yypvt[-0].p)); } break;
case 142:
# line 362 "awkgram.y"
{ yyval.p = op2(BLTIN, itonp(yypvt[-2].i), rectonode()); } break;
case 143:
# line 363 "awkgram.y"
{ yyval.p = op2(BLTIN, itonp(yypvt[-3].i), yypvt[-1].p); } break;
case 144:
# line 364 "awkgram.y"
{ yyval.p = op2(BLTIN, itonp(yypvt[-0].i), rectonode()); } break;
case 145:
# line 365 "awkgram.y"
{ yyval.p = op2(CALL, celltonode(yypvt[-2].cp,CVAR), NIL); } break;
case 146:
# line 366 "awkgram.y"
{ yyval.p = op2(CALL, celltonode(yypvt[-3].cp,CVAR), yypvt[-1].p); } break;
case 147:
# line 367 "awkgram.y"
{ yyval.p = op1(CLOSE, yypvt[-0].p); } break;
case 148:
# line 368 "awkgram.y"
{ yyval.p = op1(PREDECR, yypvt[-0].p); } break;
case 149:
# line 369 "awkgram.y"
{ yyval.p = op1(PREINCR, yypvt[-0].p); } break;
case 150:
# line 370 "awkgram.y"
{ yyval.p = op1(POSTDECR, yypvt[-1].p); } break;
case 151:
# line 371 "awkgram.y"
{ yyval.p = op1(POSTINCR, yypvt[-1].p); } break;
case 152:
# line 372 "awkgram.y"
{ yyval.p = op3(GETLINE, yypvt[-2].p, itonp(yypvt[-1].i), yypvt[-0].p); } break;
case 153:
# line 373 "awkgram.y"
{ yyval.p = op3(GETLINE, NIL, itonp(yypvt[-1].i), yypvt[-0].p); } break;
case 154:
# line 374 "awkgram.y"
{ yyval.p = op3(GETLINE, yypvt[-0].p, NIL, NIL); } break;
case 155:
# line 375 "awkgram.y"
{ yyval.p = op3(GETLINE, NIL, NIL, NIL); } break;
case 156:
# line 377 "awkgram.y"
{ yyval.p = op2(INDEX, yypvt[-3].p, yypvt[-1].p); } break;
case 157:
# line 379 "awkgram.y"
{ SYNTAX("index() doesn't permit regular expressions");
		  yyval.p = op2(INDEX, yypvt[-3].p, (Node*)yypvt[-1].s); } break;
case 158:
# line 381 "awkgram.y"
{ yyval.p = yypvt[-1].p; } break;
case 159:
# line 383 "awkgram.y"
{ yyval.p = op3(MATCHFCN, NIL, yypvt[-3].p, (Node*)makedfa(yypvt[-1].s, 1)); } break;
case 160:
# line 385 "awkgram.y"
{ if (constnode(yypvt[-1].p))
			yyval.p = op3(MATCHFCN, NIL, yypvt[-3].p, (Node*)makedfa(strnode(yypvt[-1].p), 1));
		  else
			yyval.p = op3(MATCHFCN, (Node *)1, yypvt[-3].p, yypvt[-1].p); } break;
case 161:
# line 389 "awkgram.y"
{ yyval.p = celltonode(yypvt[-0].cp, CCON); } break;
case 162:
# line 391 "awkgram.y"
{ yyval.p = op4(SPLIT, yypvt[-5].p, makearr(yypvt[-3].p), yypvt[-1].p, (Node*)STRING); } break;
case 163:
# line 393 "awkgram.y"
{ yyval.p = op4(SPLIT, yypvt[-5].p, makearr(yypvt[-3].p), (Node*)makedfa(yypvt[-1].s, 1), (Node *)REGEXPR); } break;
case 164:
# line 395 "awkgram.y"
{ yyval.p = op4(SPLIT, yypvt[-3].p, makearr(yypvt[-1].p), NIL, (Node*)STRING); } break;
case 165:
# line 396 "awkgram.y"
{ yyval.p = op1(yypvt[-3].i, yypvt[-1].p); } break;
case 166:
# line 397 "awkgram.y"
{ yyval.p = celltonode(yypvt[-0].cp, CCON); } break;
case 167:
# line 399 "awkgram.y"
{ yyval.p = op4(yypvt[-5].i, NIL, (Node*)makedfa(yypvt[-3].s, 1), yypvt[-1].p, rectonode()); } break;
case 168:
# line 401 "awkgram.y"
{ if (constnode(yypvt[-3].p))
			yyval.p = op4(yypvt[-5].i, NIL, (Node*)makedfa(strnode(yypvt[-3].p), 1), yypvt[-1].p, rectonode());
		  else
			yyval.p = op4(yypvt[-5].i, (Node *)1, yypvt[-3].p, yypvt[-1].p, rectonode()); } break;
case 169:
# line 406 "awkgram.y"
{ yyval.p = op4(yypvt[-7].i, NIL, (Node*)makedfa(yypvt[-5].s, 1), yypvt[-3].p, yypvt[-1].p); } break;
case 170:
# line 408 "awkgram.y"
{ if (constnode(yypvt[-5].p))
			yyval.p = op4(yypvt[-7].i, NIL, (Node*)makedfa(strnode(yypvt[-5].p), 1), yypvt[-3].p, yypvt[-1].p);
		  else
			yyval.p = op4(yypvt[-7].i, (Node *)1, yypvt[-5].p, yypvt[-3].p, yypvt[-1].p); } break;
case 171:
# line 413 "awkgram.y"
{ yyval.p = op3(SUBSTR, yypvt[-5].p, yypvt[-3].p, yypvt[-1].p); } break;
case 172:
# line 415 "awkgram.y"
{ yyval.p = op3(SUBSTR, yypvt[-3].p, yypvt[-1].p, NIL); } break;
case 175:
# line 421 "awkgram.y"
{ yyval.p = op2(ARRAY, makearr(yypvt[-3].p), yypvt[-1].p); } break;
case 176:
# line 422 "awkgram.y"
{ yyval.p = op1(INDIRECT, celltonode(yypvt[-0].cp, CVAR)); } break;
case 177:
# line 423 "awkgram.y"
{ yyval.p = op1(INDIRECT, yypvt[-0].p); } break;
case 178:
# line 427 "awkgram.y"
{ arglist = yyval.p = 0; } break;
case 179:
# line 428 "awkgram.y"
{ arglist = yyval.p = celltonode(yypvt[-0].cp,CVAR); } break;
case 180:
# line 429 "awkgram.y"
{
			checkdup(yypvt[-2].p, yypvt[-0].cp);
			arglist = yyval.p = linkum(yypvt[-2].p,celltonode(yypvt[-0].cp,CVAR)); } break;
case 181:
# line 435 "awkgram.y"
{ yyval.p = celltonode(yypvt[-0].cp, CVAR); } break;
case 182:
# line 436 "awkgram.y"
{ yyval.p = op1(ARG, itonp(yypvt[-0].i)); } break;
case 183:
# line 437 "awkgram.y"
{ yyval.p = op1(VARNF, (Node *) yypvt[-0].cp); } break;
case 184:
# line 442 "awkgram.y"
{ yyval.p = notnull(yypvt[-1].p); } break;
# line	531 "/usr/ccs/bin/yaccpar"
	}
	goto yystack;		/* reset registers in driver code */
}

